#ifndef __PARCOURS__
#define __PARCOURS__

#include "syntabs.h"
#include "dico.h"

void printMips( const char * msg );
void debutFunc();
void finFunc();
void empile(char *reg);
void depile(char *reg);

void parcours_table(n_prog *n);
void parcours_l_instr(n_l_instr *n);
void parcours_instr(n_instr *n);
void parcours_instr_si(n_instr *n); //A tester 
void parcours_instr_tantque(n_instr *n);//A tester 
void parcours_instr_faire(n_instr *n);  //Heu quoi sa      
void parcours_instr_pour(n_instr *n); //a Tester       
void parcours_instr_affect(n_instr *n);//a Tester 
void parcours_instr_appel(n_instr *n);
void parcours_instr_retour(n_instr *n);
void parcours_instr_ecrire(n_instr *n); //ok
int parcours_l_exp(n_l_exp *n);
void parcours_exp(n_exp *n); // OKI
void parcours_varExp(n_exp *n); // OKI
void parcours_opExp(n_exp *n); // OKI
void parcours_intExp(n_exp *n); // OKI
void parcours_lireExp(n_exp *n); // OKI
void parcours_appelExp(n_exp *n);
void parcours_l_dec(n_l_dec *n);
void parcours_dec(n_dec *n);
void parcours_foncDec(n_dec *n); //OK
void parcours_varDec(n_dec *n); //Manque argument
void parcours_tabDec(n_dec *n); //ok
void parcours_var(n_var *n, char * var); // OKI
void parcours_var_simple(n_var *n, char * var); // OKI // modifier pour var non global
void parcours_var_indicee(n_var *n, char * var);
void parcours_appel(n_appel *n);

#endif

